;(c) S Walter 2015
#include <GDIPlus.au3>
#include <WindowsConstants.au3>

$iW = @DesktopWidth
$iH = @DesktopHeight

$hWnd = GUICreate("", $iW, $iH, 0, 0, $WS_POPUP, $WS_EX_TOPMOST)
GUISetCursor(16)
GUISetState()

_GDIPlus_Startup()

$hGraphics = _GDIPlus_GraphicsCreateFromHWND($hWnd)
$hBufferBitmap = _GDIPlus_BitmapCreateFromGraphics($iW, $iH, $hGraphics)
$hBuffer = _GDIPlus_ImageGetGraphicsContext($hBufferBitmap)

_GDIPlus_GraphicsSetSmoothingMode($hGraphics, 2)
_GDIPlus_GraphicsSetSmoothingMode($hBuffer, 2)

$hImage = _GDIPlus_BitmapCreateFromFile("bee.png")

$iX = 0

While True
	_GDIPlus_GraphicsClear($hBuffer, 0xFF00FF00)

	_GDIPlus_GraphicsDrawImage($hBuffer, $hImage, $iX, GetPosBySin($iX))
	$iX += 5
	If $iX >= $iW Then $iX = 0
	_GDIPlus_GraphicsDrawImage($hGraphics, $hBufferBitmap, 0, 0)
	If GUIGetMsg() = -3 Then Exit
WEnd


Func GetPosBySin($iX)
	Return Sin($iX * (3.1415 / 180)) * ($iH / 4) + ($iH / 2)
EndFunc